diff options
author | June McEnroe <june@causal.agency> | 2020-08-17 23:25:34 -0400 |
---|---|---|
committer | June McEnroe <june@causal.agency> | 2020-08-17 23:25:34 -0400 |
commit | 08783bd1cc769c5d9319c51498022e6cdc06172a (patch) | |
tree | 666a5b25502ebb1c5e9e83ecdce6d375f4667d83 /catsit.sh | |
parent | Clean up includes (diff) | |
download | catsit-08783bd1cc769c5d9319c51498022e6cdc06172a.tar.gz catsit-08783bd1cc769c5d9319c51498022e6cdc06172a.zip |
Template catsit script with RUNDIR
Diffstat (limited to 'catsit.sh')
-rw-r--r-- | catsit.sh | 37 |
1 files changed, 0 insertions, 37 deletions
diff --git a/catsit.sh b/catsit.sh deleted file mode 100644 index 6433109..0000000 --- a/catsit.sh +++ /dev/null @@ -1,37 +0,0 @@ -#!/bin/sh -set -eu - -die() { - echo "${0}:" "$@" >&2 - exit 1 -} - -: ${CATSITD_PIPE:=/var/run/catsitd.pipe} - -while getopts 'c:' opt; do - case "${opt}" in - (c) CATSITD_PIPE=$OPTARG;; - (?) exit 1;; - esac -done -shift $((OPTIND - 1)) - -if ! [ -p "${CATSITD_PIPE}" ]; then - die "${CATSITD_PIPE} is not a named pipe" -fi -if ! [ -w "${CATSITD_PIPE}" ]; then - die "${CATSITD_PIPE} is not writable" -fi - -[ $# -lt 1 ] && die 'action required' -[ $# -lt 2 ] && die 'service name required' - -action=$(echo "${1}" | tr 'A-Z' 'a-z') -for valid in start stop restart status drop $(kill -l | tr 'A-Z' 'a-z'); do - [ "${action}" = "${valid}" ] && break -done -if [ "${action}" != "${valid}" ]; then - die "${action} is not a valid action or signal" -fi - -echo "$@" > "${CATSITD_PIPE}" |